<?php

    namespace FederationLib\Enums\Standard;

    final class Methods
    {
        public const PING = 'ping';
        public const WHOAMI = 'whoami';
        public const CREATE_CLIENT = 'create_client';
        public const GET_CLIENT = 'get_client';
        public const UPDATE_CLIENT_NAME = 'update_client_name';
        public const UPDATE_CLIENT_DESCRIPTION = 'update_client_description';
        public const UPDATE_CLIENT_PERMISSION_ROLE = 'update_client_permission_role';
        public const SYNC_PEER = 'sync_peer';


        public const ALL = [
            self::PING,
            self::WHOAMI,
            self::CREATE_CLIENT,
            self::GET_CLIENT,
            self::UPDATE_CLIENT_NAME,
            self::UPDATE_CLIENT_DESCRIPTION,
            self::UPDATE_CLIENT_PERMISSION_ROLE,
            self::SYNC_PEER,
        ];
    }