<?php

    namespace FederationLib\Exceptions;

    use Exception;
    use Throwable;

    class DatabaseException extends Exception
    {
        /**
         * @param string $message
         * @param Throwable|null $previous
         * @noinspection SenselessProxyMethodInspection
         */
        public function __construct(string $message = "", ?Throwable $previous = null)
        {
            if (!empty($previous))
            {
                parent::__construct($message, $previous->getCode(), $previous);
            }
            else
            {
                parent::__construct($message);
            }
        }
    }