<?php

    namespace FederationLib\Exceptions\Standard;

    use Exception;
    use FederationLib\Enums\Standard\ErrorCodes;
    use Throwable;

    class AccessDeniedException extends Exception
    {
        public function __construct(string $message = "", ?Throwable $previous = null)
        {
            parent::__construct($message, ErrorCodes::ACCESS_DENIED, $previous);
        }
    }